Skip to content
Fulfillment & ShippingFulfillment

Get location by ID

Returns one fulfillment location with its address, capabilities, schedules, pickup, and local-delivery settings.

Path Parameters

id*string

Unique identifier of the resource.

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://api.ecomiq.pe/api/v1/fulfillment/locations/7204558912004328277" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>"
{  "id": "7204558912004328277",  "storeId": "7204558912004327977",  "name": "Almacén Lima",  "code": "POL-001",  "type": "warehouse",  "isActive": true,  "isDefault": true,  "useForFulfillment": false,  "supportsShipping": false,  "supportsLocalDelivery": false,  "supportsPickup": false,  "isPhysicalStore": false,  "supportsPos": false,  "priority": 1,  "localDeliveryPostalCodes": [    "15074"  ],  "localDeliveryZones": [    {      "name": "Lima Metropolitana",      "postalCodes": [        "15074"      ],      "radiusKm": 1,      "fee": 1,      "freeFromAmount": 178,      "minHours": 1,      "maxHours": 1    }  ],  "schedules": [    {      "id": "7204558912004328277",      "openTime": "09:00:00",      "closeTime": "09:00:00",      "name": "Almacén Lima",      "dayOfWeek": "monday",      "enabled": true,      "isOpen": false,      "type": "delivery"    }  ],  "createdOn": "2026-09-28T15:30:00Z"}